3d: holding ctrl while zooming should perform a "fine" zoom

2017-11-23 12:42 AM - Nyall Dawson

Status: Closed

Priority: Normal

Assignee:

Category: 3D

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 25424

Description

Just like in canvas and composer, holding the ctrl key while using the mouse wheel to zoom in a 3d view should result in a finer zoom

step.

Currently the zooming in 3d windows is very coarse (at least, on my mouse), making it hard to navigate 3d scenes.

Associated revisions

Revision cf25b3ea - 2017-12-14 01:25 AM - Nyall Dawson

[3d] Holding ctrl results in finer mouse wheel zooming

To match behaviour of canvas and composer

Fixes #17527

History

#1 - 2017-12-14 01:51 AM - Nyall Dawson

- % Done changed from 0 to 100

- Status changed from Open to Closed

Applied in changeset commit:qgis|cf25b3ea83ab6f3eb4fe40d0fc9c9398798906d9.

#2 - 2018-02-22 11:49 AM - Giovanni Manghi

- Resolution set to fixed/implemented
